// C++ source equivalent of Win32 type library jtvrem.tlb

#pragma once
#pragma pack(push, 8)


// Forward references and typedefs

struct __declspec(uuid("f4660300-7706-11d3-b64e-00105acb7fd0")) IJTVRemoteControl;
struct __declspec(uuid("f4660301-7706-11d3-b64e-00105acb7fd0")) IJTVRemoteHost;



// Type library items

struct __declspec(uuid("f4660300-7706-11d3-b64e-00105acb7fd0")) IJTVRemoteControl : IUnknown
{

    virtual HRESULT __stdcall Advise (
        struct IJTVRemoteHost * host,
        IUnknown * device ) = 0;
    virtual HRESULT __stdcall Unadvise ( ) = 0;
    virtual void __stdcall Reinit ( ) = 0;
};

struct __declspec(uuid("f4660301-7706-11d3-b64e-00105acb7fd0")) IJTVRemoteHost : IUnknown
{

    virtual void __stdcall KeyCallback (
        LPSTR name,
        LPSTR alt_name ) = 0;
};

// Named GUID constants initializations

extern "C" GUID __declspec(selectany) LIBID_JTVRemote =     {0xf4660206,0x7706,0x11d3,{0xb6,0x4e,0x00,0x10,0x5a,0xcb,0x7f,0xd0}};
extern "C" GUID __declspec(selectany) IID_IJTVRemoteControl =     {0xf4660300,0x7706,0x11d3,{0xb6,0x4e,0x00,0x10,0x5a,0xcb,0x7f,0xd0}};
extern "C" GUID __declspec(selectany) IID_IJTVRemoteHost =     {0xf4660301,0x7706,0x11d3,{0xb6,0x4e,0x00,0x10,0x5a,0xcb,0x7f,0xd0}};

#pragma pack(pop)
