// C++ source equivalent of Win32 type library jtvbt8x8.tlb

#pragma once
#pragma pack(push, 8)


// Forward references and typedefs

struct __declspec(uuid("f4660006-7706-11d3-b64e-00105acb7fd0")) IBT8x8Device;
struct __declspec(uuid("f4660008-7706-11d3-b64e-00105acb7fd0")) II2CDevice;



// Type library items

struct __declspec(uuid("f4660006-7706-11d3-b64e-00105acb7fd0")) IBT8x8Device : IUnknown
{

    virtual HRESULT __stdcall ResetBT ( ) = 0;
    virtual HRESULT __stdcall ReadBT (
        unsigned long address,
        unsigned long * value ) = 0;
    virtual HRESULT __stdcall WriteBT (
        unsigned long address,
        unsigned long value ) = 0;
    virtual HRESULT __stdcall WaitForInterrupt (
        unsigned long timeout,
        unsigned long * int_stat,
        unsigned long * gpio_data,
        unsigned long * irq_counter ) = 0;
    virtual HRESULT __stdcall WaitForInterrupt2 (
        unsigned long * int_stat,
        unsigned long * gpio_data,
        unsigned long * irq_counter,
        void * hBreakEvent ) = 0;
    virtual HRESULT __stdcall ReinitializeIRQ ( ) = 0;
};

struct __declspec(uuid("f4660008-7706-11d3-b64e-00105acb7fd0")) II2CDevice : IUnknown
{

    virtual HRESULT __stdcall WriteHW2B (
        unsigned long address,
        unsigned long value ) = 0;
    virtual HRESULT __stdcall ReadHW2B (
        unsigned long address,
        unsigned long * value ) = 0;
};

// Named GUID constants initializations

extern "C" GUID __declspec(selectany) LIBID_JTVBT8x8 =     {0xf4660200,0x7706,0x11d3,{0xb6,0x4e,0x00,0x10,0x5a,0xcb,0x7f,0xd0}};
extern "C" GUID __declspec(selectany) IID_IBT8x8Device =     {0xf4660006,0x7706,0x11d3,{0xb6,0x4e,0x00,0x10,0x5a,0xcb,0x7f,0xd0}};
extern "C" GUID __declspec(selectany) IID_II2CDevice =     {0xf4660008,0x7706,0x11d3,{0xb6,0x4e,0x00,0x10,0x5a,0xcb,0x7f,0xd0}};

#pragma pack(pop)
